Репозиторий Sisyphus
Последнее обновление: 2 декабря 2016 | Пакетов: 17648 | Посещений: 8303154
en ru br
Майнтейнер: Sergey Y. Afonin

 Информация   Пакеты   Bugs and FR  Repocop 

Сообщения от repocop:

пакет статус тест сообщение
apache2-mod_fcgid-2.3.9-alt2.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
apache2-mod_fcgid-2.3.9-alt2.x86_64
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
apcupsd-3.14.14-alt1.x86_64
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
apcupsd-multiups-0.3-alt1.noarch
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
cyrus-imapd-2.5.9-alt2.x86_64
warn
rpm-filesystem-conflict-file-file File /usr/share/man/man8/httpd.8.xz conflicts with the package bozohttpd-20160415-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. File /etc/pam.d/imap conflicts with the package courier-imap-4.10.0-alt0.2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
cyrus-imapd-2.5.9-alt2.x86_64
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
hal-0.5.15-alt3.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
hal-0.5.15-alt3.x86_64
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
hal-0.5.15-alt3.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/haldaemon
kcpuload-1.99-alt6.x86_64
warn
freedesktop-desktop desktop-file-validate utility exited abnormally with the following message(s): /usr/share/applications/kde/kcpuload.desktop: warning: boolean key "Terminal" in group "Desktop Entry" has value "0", which is deprecated: boolean values should be "false" or "true" /usr/share/applications/kde/kcpuload.desktop: error: value item "Applet" in key "Categories" in group "Desktop Entry" is a reserved category, so a "OnlyShowIn" key must be included /usr/share/applications/kde/kcpuload.desktop: hint: value item "KDE" in key "Categories" in group "Desktop Entry" can be extended with another category among the following categories: Qt
kcpuload-1.99-alt6.x86_64
info
missing-url Missing Url: in a package.
kcpuload-debuginfo-1.99-alt6.x86_64
info
missing-url Missing Url: in a package.
kdepim-3.5.13.2-alt5.3.i586
experimental
specfile-macros-get_dep-is-deprecated Versioned Requires: foo >= %{get_dep something} using %get_dep and %get_version macros on a library are deprecated by set:versions. You probably should drop %get_dep/%get_version Requires: to avoid RPM database pollution.
kdepim-akregator-3.5.13.2-alt5.3.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libakregatorprivate.so but just /usr/lib64/libakregatorprivate.so.0.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libakregatorprivate.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libakregatorprivate.so to \%files of kdepim-akregator-3.5.13.2-alt5.3.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
kdepim-akregator-3.5.13.2-alt5.3.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/kde/applications/kde/akregator.desktop: warning: value "akregator %i %m -caption "%c"" for key "Exec" in group "Desktop Entry" contains a deprecated field code "%m" /usr/share/kde/applications/kde/akregator.desktop: warning: value "RSS-sy?telukija" for key "Comment[fi]" in group "Desktop Entry" looks redundant with value "RSS-sy?telukija" of key "GenericName[fi]"
kdepim-kaddressbook-3.5.13.2-alt5.3.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libkabcscalix.so but just /usr/lib64/libkabcscalix.so.0.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libkabcscalix.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libkabcscalix.so to \%files of kdepim-kaddressbook-3.5.13.2-alt5.3.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test. SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libkabinterfaces.so but just /usr/lib64/libkabinterfaces.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libkabinterfaces.so should be placed in a special subpackage named lib-devel. If you have a... [the rest of the message is skipped]
kdepim-kaddressbook-3.5.13.2-alt5.3.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
kdepim-kandy-3.5.13.2-alt5.3.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/kde/applications/kde/kandy.desktop: warning: value "kandy %i %m -caption "%c"" for key "Exec" in group "Desktop Entry" contains a deprecated field code "%m" /usr/share/kde/applications/kde/kandy.desktop: hint: value item "Telephony" in key "Categories" in group "Desktop Entry" can be extended with another category among the following categories: Network
kdepim-karm-3.5.13.2-alt5.3.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/kde/applications/kde/karm.desktop: warning: value "karm -caption "%c" %i %m" for key "Exec" in group "Desktop Entry" contains a deprecated field code "%m" /usr/share/kde/applications/kde/karm.desktop: warning: value "" for key "Path" in group "Desktop Entry" does not look like an absolute path
kdepim-kmail-3.5.13.2-alt5.3.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/kde/applications/kde/KMail.desktop: warning: value "kmail -caption "%c" %i %m" for key "Exec" in group "Desktop Entry" contains a deprecated field code "%m"
kdepim-knode-3.5.13.2-alt5.3.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libknodecommon.so but just /usr/lib64/libknodecommon.so.3.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libknodecommon.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libknodecommon.so to \%files of kdepim-knode-3.5.13.2-alt5.3.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
kdepim-knode-3.5.13.2-alt5.3.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/kde/applications/kde/KNode.desktop: warning: value "knode -caption "%c" %i %m" for key "Exec" in group "Desktop Entry" contains a deprecated field code "%m"
kdepim-knotes-3.5.13.2-alt5.3.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libknotesscalix.so but just /usr/lib64/libknotesscalix.so.0.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libknotesscalix.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libknotesscalix.so to \%files of kdepim-knotes-3.5.13.2-alt5.3.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
kdepim-kode-3.5.13.2-alt5.3.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libkode.so but just /usr/lib64/libkode.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libkode.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libkode.so to \%files of kdepim-kode-3.5.13.2-alt5.3.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
kdepim-kontact-3.5.13.2-alt5.3.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libkontact.so but just /usr/lib64/libkontact.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libkontact.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libkontact.so to \%files of kdepim-kontact-3.5.13.2-alt5.3.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test. SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libkpinterfaces.so but just /usr/lib64/libkpinterfaces.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libkpinterfaces.so should be placed in a special subpackage named lib-devel. If you have already packaged this... [the rest of the message is skipped]
kdepim-kontact-3.5.13.2-alt5.3.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/kde/applications/kde/groupwarewizard.desktop: hint: value "Qt;KDE;Office;Utility;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
kdepim-korganizer-3.5.13.2-alt5.3.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libkocorehelper.so but just /usr/lib64/libkocorehelper.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libkocorehelper.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libkocorehelper.so to \%files of kdepim-korganizer-3.5.13.2-alt5.3.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test. SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libkorg_stdprinting.so but just /usr/lib64/libkorg_stdprinting.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libkorg_stdprinting.so should be placed in a special subpackage named lib-devel... [the rest of the message is skipped]
kdepim-korganizer-3.5.13.2-alt5.3.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/kde/applications/kde/kalarm.desktop: hint: value "Qt;KDE;Utility;X-KDE-Utilities-PIM;Office;ProjectManagement;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu desktop-file-validate utility printed the following message(s): /usr/share/kde/applications/kde/korganizer.desktop: warning: value "" for key "Path" in group "Desktop Entry" does not look like an absolute path
kdepim-korn-3.5.13.2-alt5.3.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/kde/applications/kde/KOrn.desktop: warning: value "korn -caption "%c" %i %m %f" for key "Exec" in group "Desktop Entry" contains a deprecated field code "%m" /usr/share/kde/applications/kde/KOrn.desktop: warning: value "" for key "Path" in group "Desktop Entry" does not look like an absolute path
kdepim-ksync-3.5.13.2-alt5.3.x86_64
fail
desktop-misplaced-type-application /usr/share/kde/servicetypes/kitchensync.desktop has Type=Application and should be placed under /usr/share/applications.
kdepim-ksync-3.5.13.2-alt5.3.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libkitchensync.so but just /usr/lib64/libkitchensync.so.0.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libkitchensync.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libkitchensync.so to \%files of kdepim-ksync-3.5.13.2-alt5.3.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test. SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libqopensync.so but just /usr/lib64/libqopensync.so.0.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libqopensync.so should be placed in a special subpackage named lib-devel. If you have already packaged... [the rest of the message is skipped]
kdepim-ktnef-3.5.13.2-alt5.3.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/kde/applications/kde/ktnef.desktop: warning: value "ktnef %i %m -caption "%c"" for key "Exec" in group "Desktop Entry" contains a deprecated field code "%m" /usr/share/kde/applications/kde/ktnef.desktop: warning: value "Prohl??e? TNEF soubor?" for key "Comment[cs]" in group "Desktop Entry" looks redundant with value "Prohl??e? TNEF soubor?" of key "GenericName[cs]" /usr/share/kde/applications/kde/ktnef.desktop: warning: value "TNEF ?????" for key "Comment[zh_TW]" in group "Desktop Entry" looks redundant with value "TNEF ?????" of key "GenericName[zh_TW]"
kdepim-libs-3.5.13.2-alt5.3.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libgpgme++.so but just /usr/lib64/libgpgme++.so.0.4.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libgpgme++.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libgpgme++.so to \%files of kdepim-libs-3.5.13.2-alt5.3.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test. SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libgwsoap.so but just /usr/lib64/libgwsoap.so.0.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libgwsoap.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib... [the rest of the message is skipped]
kdepim-libs-3.5.13.2-alt5.3.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
libyajl1-1.0.11-alt3.i586
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/bin/json_reformat /usr/bin/json_verify /usr/lib64/libyajl_s.a
mailfromd-cfg_clamav-7.99.94-alt0.20160706.1.noarch
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
mailfromd-cfg_clamav-7.99.94-alt0.20160706.1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/mailfromd-clamav
mailfromd-cfg_full-7.99.94-alt0.20160706.1.noarch
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
mailfromd-cfg_full-7.99.94-alt0.20160706.1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/mailfromd
mailutils-debuginfo-2.99.99-alt0.20151110.3.x86_64
warn
rpm-filesystem-conflict-symlink-symlink value of symlink /usr/lib/debug/usr/bin/Mail.debug is different from the same symlink in the package mailx-debuginfo-8.1.2-alt7.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. value of symlink /usr/lib/debug/usr/bin/mailx.debug is different from the same symlink in the package mailx-debuginfo-8.1.2-alt7.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
mc-4.8.18-alt1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
ntpd-4.2.8-alt6.x86_64
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
opencpn-data-4.4.0-alt1.noarch
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/opencpn.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
quagga-1.0.20160315-alt1.x86_64
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
quagga-1.0.20160315-alt1.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/bgpd /etc/rc.d/init.d/ospf6d /etc/rc.d/init.d/zebra /etc/rc.d/init.d/ripd /etc/rc.d/init.d/ripngd /etc/rc.d/init.d/ospfd /etc/rc.d/init.d/isisd
sendmail-8.15.2-alt2.x86_64
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
sendmail-8.15.2-alt2.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/sendmail
sendmail-submit-8.15.2-alt2.x86_64
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
spamassassin-spamd-3.4.1-alt1.noarch
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
xorp-1.8.6-alt0.20130830.1.x86_64
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
xorp-1.8.6-alt0.20130830.1.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/sbin/bgp_xrl_shell_funcs.sh /usr/sbin/fea_xrl_shell_funcs.sh
xymon-4.3.27-alt2.x86_64
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
xymon-client-4.3.27-alt2.noarch
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
xymon-common-4.3.27-alt2.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
zygrib-8.0.1-alt1.x86_64
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/zyGrib.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
zygrib-8.0.1-alt1.x86_64
experimental
iconsdir Please, move pixmaps from /usr/share/pixmaps to %_liconsdir, %_niconsdir, %_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy.
 
дизайн и разработка: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
текущий майнтейнер: Michael Shigorin